gitlab-shell (13.19.1-2ubuntu0.20.04.1) jammy-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Tue, 24 Jan 2023 19:00:08 +0100

gitlab-shell (13.19.1-2) unstable; urgency=medium

  * Reupload to unstable
  * Update watch file standard to 4

 -- Pirate Praveen <praveen@debian.org>  Wed, 22 Sep 2021 03:50:53 +0530

gitlab-shell (13.19.1-1) experimental; urgency=medium

  * Team upload
  * New upstream version 13.19.1

 -- Sruthi Chandran <srud@debian.org>  Mon, 30 Aug 2021 23:32:37 +0530

gitlab-shell (13.18.1-1) unstable; urgency=medium

  * Reupload to unstable
  * New upstream version 13.18.1
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility level to 13

 -- Pirate Praveen <praveen@debian.org>  Sat, 28 Aug 2021 19:01:00 +0530

gitlab-shell (13.18.0-1) experimental; urgency=medium

  * New upstream version 13.18.0
  * Add golang-github-pires-go-proxyproto-dev as build dependency

 -- Pirate Praveen <praveen@debian.org>  Sat, 12 Jun 2021 11:56:18 +0530

gitlab-shell (13.17.0-2) experimental; urgency=medium

  * Fix patch that hardcoded gitlab-shell directory path

 -- Pirate Praveen <praveen@debian.org>  Wed, 10 Mar 2021 21:59:27 +0530

gitlab-shell (13.17.0-1) experimental; urgency=medium

  * New upstream version 13.17.0
  * Refresh patches
  * Update build dependencies

 -- Pirate Praveen <praveen@debian.org>  Wed, 10 Mar 2021 14:31:37 +0530

gitlab-shell (13.15.1-1) experimental; urgency=medium

  * New upstream version 13.15.1

 -- Pirate Praveen <praveen@debian.org>  Sun, 07 Mar 2021 19:21:07 +0530

gitlab-shell (13.14.1-1) experimental; urgency=medium

  * Add vendor as a component tarball
  * New upstream version 13.14.1
  * Bump Standards-Version to 4.5.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Fri, 19 Feb 2021 00:33:49 +0530

gitlab-shell (13.13.0+debian-1) unstable; urgency=medium

  * Add golang-github-otiai10-copy-dev as build dependency
  * New upstream version 13.13.0+debian
  * hooks directory is no longer present in upstream (so remove from install
    file)

 -- Pirate Praveen <praveen@debian.org>  Tue, 26 Jan 2021 22:07:54 +0530

gitlab-shell (13.11.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 13.11.0
  * Add Patch forwarding information to hardcode-config-path.patch

 -- Abraham Raji <avronr@tuta.io>  Tue, 01 Dec 2020 01:37:58 +0000

gitlab-shell (13.7.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 13.7.0

 -- Abraham Raji <avronr@tuta.io>  Sat, 14 Nov 2020 03:51:09 +0000

gitlab-shell (13.6.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 13.6.0
  * Added Upstream Metadata

 -- Abraham Raji <avronr@tuta.io>  Thu, 24 Sep 2020 23:03:50 +0000

gitlab-shell (13.3.0+debian-2) unstable; urgency=medium

  * Switch gitlab_url to unix socket

 -- Pirate Praveen <praveen@debian.org>  Thu, 20 Aug 2020 22:44:24 +0530

gitlab-shell (13.3.0+debian-1) unstable; urgency=medium

  * Update minimum version of grpc to 1.22
  * New upstream version 13.3.0+debian
  * Update build dependencies

 -- Pirate Praveen <praveen@debian.org>  Mon, 22 Jun 2020 23:06:36 +0530

gitlab-shell (13.2.0+debian-2) unstable; urgency=medium

  * Reupload to unstable (gitlab 13.0.3 is now uploaded)

 -- Pirate Praveen <praveen@debian.org>  Sun, 31 May 2020 16:27:02 +0530

gitlab-shell (13.2.0+debian-1) experimental; urgency=medium

  [ Manas Kashyap ]
  * Unused modules lightstep-tracer-go dd-trace-go.v1 jaeger-client-go
     stretchr/objx tinylib/msgp stretchr/testify philhofer/fwd grpc dropped
     from vendor
  * Dropped files-excluded as the vendor folder is manually added and not from
    the upstream source
  * Dropped packaged modules go-spew opentracing-go go-difflib
    golang-github-mattn-go-shellwords-dev from vendor and added as build
    dependency.

  [ Pirate Praveen ]
  * New upstream version 13.2.0+debian

 -- Pirate Praveen <praveen@debian.org>  Sat, 23 May 2020 15:47:45 +0530

gitlab-shell (12.2.0+debian-1) unstable; urgency=medium

  * New upstream version 12.2.0+debian

 -- Pirate Praveen <praveen@debian.org>  Wed, 22 Apr 2020 22:14:51 +0530

gitlab-shell (12.0.0-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Fri, 10 Apr 2020 19:17:08 +0530

gitlab-shell (12.0.0-1) experimental; urgency=medium

  * New upstream version 12.0.0

 -- Pirate Praveen <praveen@debian.org>  Mon, 06 Apr 2020 16:13:40 +0530

gitlab-shell (11.0.0+debian-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Tue, 31 Mar 2020 18:00:28 +0530

gitlab-shell (11.0.0+debian-1) experimental; urgency=medium

  * New upstream version 11.0.0+debian
  * Update README.source
  * Bump Standards-Version to 4.5.0 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Tue, 17 Mar 2020 14:10:16 +0530

gitlab-shell (10.3.0+debian-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop debian/tests/control that uses gem2deb-test-runner since this is not
    a Ruby package (Closes: #950230)

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 03 Feb 2020 12:34:07 +0100

gitlab-shell (10.3.0+debian-3) unstable; urgency=medium

  * Reupload to unstable (gitlab current version in unstable cannot be
    supported meaningfully)
  * Move section to net from ruby

 -- Pirate Praveen <praveen@debian.org>  Wed, 15 Jan 2020 21:42:34 +0530

gitlab-shell (10.3.0+debian-2) experimental; urgency=medium

  * Update minimum version of protobuf to 1.3
  * Add a maintscript to convert directory to symlink

 -- Pirate Praveen <praveen@debian.org>  Sat, 21 Dec 2019 00:10:54 +0530

gitlab-shell (10.3.0+debian-1) experimental; urgency=medium

  * New upstream version 10.3.0
  * Build only go files (ruby files are removed from this version)
  * Remove patches no longer required
  * Add README.source
  * Don't copy binaries to /usr/share
  * Hardcode gitlab-shell dir path

 -- Pirate Praveen <praveen@debian.org>  Fri, 13 Dec 2019 19:24:25 +0530

gitlab-shell (9.3.0+dfsg-1) experimental; urgency=medium

  * New upstream version 9.3.0+dfsg
  * Refresh d/patches
  * Fix package wrt cme
  * Ignore test failures
  * Bump debhelper-compat to 12
  * Bump Standards-Version to 4.4.1

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Mon, 21 Oct 2019 17:17:12 +0530

gitlab-shell (9.1.0+dfsg-2) experimental; urgency=medium

  * Remove comments in rules
  * Set gitlab shell directory with upstream patch (Closes: #929201)

 -- Pirate Praveen <praveen@debian.org>  Tue, 04 Jun 2019 22:06:08 +0530

gitlab-shell (9.1.0+dfsg-1) experimental; urgency=medium

  * New upstream version 9.1.0+dfsg

 -- Pirate Praveen <praveen@debian.org>  Wed, 15 May 2019 17:42:14 +0530

gitlab-shell (8.4.4+dfsg-1) unstable; urgency=medium

  * New upstream version 8.4.4+dfsg
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Fri, 15 Mar 2019 17:08:08 +0530

gitlab-shell (8.4.3+dfsg1-1) unstable; urgency=medium

  * Set minimum version golang-any to 1.10~
  * Use vendored copy of grpc and gitaly-proto

 -- Pirate Praveen <praveen@debian.org>  Sun, 16 Dec 2018 16:06:30 +0530

gitlab-shell (8.4.3+dfsg-3) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Sat, 15 Dec 2018 15:50:37 +0530

gitlab-shell (8.4.3+dfsg-2) experimental; urgency=medium

  * Use more go binaries to replace old ruby binaries
  * Remove Breaks on gitlab as gitlab-shell binary is found (switched to go)

 -- Pirate Praveen <praveen@debian.org>  Sat, 15 Dec 2018 00:16:58 +0530

gitlab-shell (8.4.3+dfsg-1) experimental; urgency=medium

  * New upstream version 8.4.3+dfsg
    - Changed bin/gitlab-shell to bin/gitlab-shell-ruby
  * Add Breaks for gitlab << 11.5.3
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Sat, 08 Dec 2018 19:55:50 +0530

gitlab-shell (8.3.3+dfsg-2) unstable; urgency=medium

  * Remove relative path in bin/gitlab-shell (Fixes: #914496)

 -- Pirate Praveen <praveen@debian.org>  Sun, 02 Dec 2018 12:52:50 +0530

gitlab-shell (8.3.3+dfsg-1) unstable; urgency=medium

  * New upstream version 8.3.3+dfsg
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Wed, 21 Nov 2018 11:53:34 +0530

gitlab-shell (8.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version 8.1.1+dfsg

 -- Pirate Praveen <praveen@debian.org>  Sun, 18 Nov 2018 18:41:08 +0530

gitlab-shell (7.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 7.2.0+dfsg

 -- Pirate Praveen <praveen@debian.org>  Fri, 09 Nov 2018 12:12:37 +0530

gitlab-shell (7.1.2+dfsg1-1) unstable; urgency=medium

  * Remove vendored copy of gitaly-proto
  * Use golang-github-sirupsen-logrus-dev from system
  * Use golang-golang-x-crypto-dev from system
  * Use golang-golang-x-sys-dev from system
  * Bump Standards-Version to 4.2.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Sun, 21 Oct 2018 11:30:05 +0530

gitlab-shell (7.1.2+dfsg-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Mon, 04 Jun 2018 14:07:49 +0530

gitlab-shell (7.1.2+dfsg-1) experimental; urgency=medium

  * New upstream version 7.1.2+dfsg

 -- Pirate Praveen <praveen@debian.org>  Fri, 11 May 2018 14:29:18 +0530

gitlab-shell (6.0.4+dfsg-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * Removed trailing whitespaces from changelog.
  * Update copyright format URL to HTTPS.
  * Vcs-URLs to salsa.debian.org.
  * Build and install golang hooks; arch: all --> any.
  * Build-Depends:
    + dh-golang
    + golang-go
    + golang-golang-x-net-dev
    + golang-golang-x-text-dev
    + golang-gitaly-proto-dev
    + golang-google-grpc-dev
    + golang-google-genproto-dev
    + golang-goprotobuf-dev
    + golang-gopkg-yaml.v2-dev

 -- Pirate Praveen <praveen@debian.org>  Fri, 27 Apr 2018 12:37:46 +0530

gitlab-shell (6.0.4-1) unstable; urgency=medium

  * New upstream version 6.0.4

 -- Pirate Praveen <praveen@debian.org>  Fri, 16 Mar 2018 18:08:20 +0530

gitlab-shell (5.8.0-2) unstable; urgency=medium

  * Reupload to unstable
  * Bump standards version to 4.1.3, debhelper compat to 11

 -- Pirate Praveen <praveen@debian.org>  Wed, 21 Feb 2018 21:35:29 +0530

gitlab-shell (5.8.0-1) experimental; urgency=medium

  * New upstream release

 -- Pirate Praveen <praveen@debian.org>  Tue, 22 Aug 2017 14:13:20 +0530

gitlab-shell (3.6.6-4) unstable; urgency=medium

  [ Pirate Praveen ]
  * Install config.yml.example in /usr/lib

 -- Balasankar C <balasankarc@autistici.org>  Fri, 24 Feb 2017 16:57:29 +0530

gitlab-shell (3.6.6-3) unstable; urgency=medium

  * Fix typo in git 2.11 support patch (Closes: #854262)

 -- Pirate Praveen <praveen@debian.org>  Tue, 07 Feb 2017 21:06:26 +0530

gitlab-shell (3.6.6-2) unstable; urgency=medium

  * Backport git 2.11 support

 -- Pirate Praveen <praveen@debian.org>  Wed, 18 Jan 2017 13:04:37 +0530

gitlab-shell (3.6.6-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Mon, 31 Oct 2016 15:18:08 +0530

gitlab-shell (3.6.3-1) unstable; urgency=medium

  * New upstream release

 -- Pirate Praveen <praveen@debian.org>  Sat, 01 Oct 2016 15:44:40 +0530

gitlab-shell (3.4.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Thu, 25 Aug 2016 21:39:53 +0530

gitlab-shell (3.0.0-4) unstable; urgency=medium

  * Move config.yml to /usr/share/doc/gitlab-shell
  * Handle bin directory in install target instead of build

 -- Pirate Praveen <praveen@debian.org>  Thu, 14 Jul 2016 19:24:45 +0530

gitlab-shell (3.0.0-3) unstable; urgency=medium

  * Use tcp connection to redis instead of unix socket (redis default is tcp)

 -- Pirate Praveen <praveen@debian.org>  Wed, 22 Jun 2016 15:27:25 +0530

gitlab-shell (3.0.0-2) unstable; urgency=medium

  * Don't check dependencies in autopkgtest (Closes: #819085)

 -- Pirate Praveen <praveen@debian.org>  Mon, 06 Jun 2016 14:36:01 +0530

gitlab-shell (3.0.0-1) unstable; urgency=medium

  * New upstream release
  * Move log file to /var/log/gitlab-shell and
    move config.yml to /etc/gitlab-shell (Closes: #819374)

 -- Pirate Praveen <praveen@debian.org>  Sat, 04 Jun 2016 21:43:54 +0530

gitlab-shell (2.6.10-1) unstable; urgency=medium

  * New upstream release

 -- Pirate Praveen <praveen@debian.org>  Thu, 21 Jan 2016 22:39:43 +0530

gitlab-shell (2.6.9-1) unstable; urgency=medium

  * New upstream release
  * Fix watch file
  * Fix gitlab-shell paths (update patches)
  * Install hooks directory (Thanks Libor Klepáč)
  * Install VERSION (Thanks Marin Jankovski)

 -- Pirate Praveen <praveen@debian.org>  Fri, 15 Jan 2016 15:26:36 +0530

gitlab-shell (2.6.5-2) unstable; urgency=medium

  * Add patch to use system paths

 -- Pirate Praveen <praveen@debian.org>  Tue, 10 Nov 2015 20:51:33 +0530

gitlab-shell (2.6.5-1) unstable; urgency=medium

  * Initial release (Closes: #804461)

 -- Pirate Praveen <praveen@debian.org>  Mon, 09 Nov 2015 00:33:01 +0530
